import {httpApi} from "../../../request/httpApi";

export default {
    //外委或三方数据分页条件查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/data/page',
            method: 'post',
            data: form
        }, msg);
    },
    //外委或三方数据新增或者修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/data/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //外委或三方数据批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/data/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //外委或三方数据复制
    async copyData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/data/copy',
            method: 'post',
            data: form
        }, msg);
    },
}
